Subject: Usability: Too easy to start a session by clicking anywhere in the profile box
From: "Dan Halbert" <[email-masked]>
To: [email-masked]
Date: Tue, 16 Apr 2013 15:57:05 -0400 (EDT)

Package: x2goclient
Version: 4.0.0.3
 
It's a little too easy to start a session in the X2Go client window. A click anywhere in a profile box (it's sort of a gian button) will start a session, unless one clicks on one of the narrow setting lines or the lower right-hand pull-down-menu triangle. If I'm aiming for one of those spots but miss, a session starts.
 
I'd rather not have the whole profile box sensitive like that. A "Connect" button or icon would be a little safer.
 
I also remember the first time I tried to use X2GoClient, I was surprised there was no "Connect" button, and had to guess that a click on the profile box would start a session.